// ----------------------------------------------------------------------------
// FileSelector
// ----------------------------------------------------------------------------
#include "FileSelector.h"

FileSelector::FileSelector(wxWindow* parent, bool mirror)
        : wxScrolledWindow(parent, -1, wxDefaultPosition, wxDefaultSize,
                           wxHSCROLL | wxVSCROLL | wxNO_FULL_REPAINT_ON_RESIZE)
{
    m_mirror = mirror;
}

FileSelector::~FileSelector()
{
}

void FileSelector::OnDraw(wxDC& dcOrig)
{
    wxMirrorDC dc(dcOrig, m_mirror);

    dc.SetPen(*wxBLACK_PEN);
    dc.DrawLine(0, 0, 100, 200);

    dc.SetBackgroundMode(wxTRANSPARENT);
    dc.DrawText(_T("FileSelector"), 50, 50);

    dc.SetPen(*wxRED_PEN);
    dc.SetBrush(*wxGREEN_BRUSH);
    dc.DrawRectangle(120, 120, 100, 80);
}

