#ifndef __IMAGEMATRIX_H__
#define __IMAGEMATRIX_H__

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/log.h"

    #include "wx/app.h"
    #include "wx/frame.h"

    #include "wx/scrolwin.h"
    #include "wx/menu.h"

    #include "wx/textdlg.h"       // for wxGetTextFromUser
#endif

#include "wx/splitter.h"
#include "wx/dcmirror.h"


class ImageMatrix: public wxScrolledWindow
{
public:
    ImageMatrix(wxWindow* parent, bool mirror);
    virtual ~ImageMatrix();

    virtual void OnDraw(wxDC& dc);

private:
    bool m_mirror;

    DECLARE_NO_COPY_CLASS(ImageMatrix)
};

#endif


